Package ru.bitel.bgbilling.modules.runtel.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.runtel.server.bean.Constants

    public class Constants
    extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `ACTION_APPEND` |
  `static java.lang.String` | `ACTION_AUTH` |
  `static java.lang.String` | `ACTION_BALANCE` |
  `static java.lang.String` | `ACTION_DELETE` |
  `static java.lang.String` | `ACTION_LIST` |
  `static java.lang.String` | `ACTION_LOGIN` |
  `static java.lang.String` | `ACTION_RUN` |
  `static java.lang.String` | `ACTION_SYNC` |
  `static java.lang.String` | `ACTION_UPDATE` |
  `static java.lang.String` | `BODY_AMOUNT` |
  `static java.lang.String` | `BODY_DT_EPOCH` |
  `static java.lang.String` | `BODY_ISO_4217` |
  `static java.lang.String` | `BODY_LINK` |
  `static java.lang.String` | `BODY_NAME` |
  `static java.lang.String` | `KEY_AMOUNT` |
  `static java.lang.String` | `KEY_DT_EPOCH` |
  `static java.lang.String` | `KEY_LIST` |
  `static java.lang.String` | `KEY_RUNTEL_ACTIVE_STATUS_IDS` |
  `static java.lang.String` | `KEY_RUNTEL_EMAIL_PARAMETER_ID` |
  `static java.lang.String` | `KEY_RUNTEL_LOGIN` |
  `static java.lang.String` | `KEY_RUNTEL_PASSWORD` |
  `static java.lang.String` | `KEY_RUNTEL_REQUEST_TIMEOUT` |
  `static java.lang.String` | `KEY_RUNTEL_URL` |
  `static java.lang.String` | `KEY_RUNTEL_USER` |
  `static java.lang.String` | `KEY_RUNTEL_VERSION` |
  `static java.lang.String` | `OBJ_ACCOUNTING` |
  `static java.lang.String` | `OBJ_BGBILLING` |
  `static java.lang.String` | `OBJ_BILL_REQUEST` |
  `static java.lang.String` | `OBJ_CONTRACT` |
  `static java.lang.String` | `OBJ_CONTRACT_ANNEX` |
  `static java.lang.String` | `OBJ_CONTRACT_ANNEX_ROW` |
  `static java.lang.String` | `OBJ_CUSTOMER` |
  `static java.lang.String` | `OBJ_SYNC` |
  `static java.lang.String` | `OBJ_USER` |
  `static java.lang.String` | `PARAM_ACTION` |
  `static java.lang.String` | `PARAM_ACTION_ID` |
  `static java.lang.String` | `PARAM_BODY` |
  `static java.lang.String` | `PARAM_CODE` |
  `static java.lang.String` | `PARAM_COUNT` |
  `static java.lang.String` | `PARAM_ID` |
  `static java.lang.String` | `PARAM_LIMIT` |
  `static java.lang.String` | `PARAM_LIST` |
  `static java.lang.String` | `PARAM_OBJ` |
  `static java.lang.String` | `PARAM_OFFSET` |
  `static java.lang.String` | `PARAM_PARAMS` |
  `static java.lang.String` | `PARAM_TOTAL_COUNT` |
  `static java.lang.String` | `PARAMS_AMOUNT` |
  `static java.lang.String` | `PARAMS_ANNEX` |
  `static java.lang.String` | `PARAMS_BID` |
  `static java.lang.String` | `PARAMS_BRAND` |
  `static java.lang.String` | `PARAMS_CITY` |
  `static java.lang.String` | `PARAMS_CONTRACT_ANNEX_BID` |
  `static java.lang.String` | `PARAMS_CONTRACT_BID` |
  `static java.lang.String` | `PARAMS_CONTRACT_LIST` |
  `static java.lang.String` | `PARAMS_COUNT` |
  `static java.lang.String` | `PARAMS_CUSTOMER_BID` |
  `static java.lang.String` | `PARAMS_CUSTOMER_NAME` |
  `static java.lang.String` | `PARAMS_DATE_END` |
  `static java.lang.String` | `PARAMS_DATE_START` |
  `static java.lang.String` | `PARAMS_EMAIL` |
  `static java.lang.String` | `PARAMS_EXTENSION` |
  `static java.lang.String` | `PARAMS_HASH` |
  `static java.lang.String` | `PARAMS_HOST_ID` |
  `static java.lang.String` | `PARAMS_ID` |
  `static java.lang.String` | `PARAMS_LOGIN` |
  `static java.lang.String` | `PARAMS_NAME` |
  `static java.lang.String` | `PARAMS_NUMBER` |
  `static java.lang.String` | `PARAMS_PASSWORD` |
  `static java.lang.String` | `PARAMS_PBX_DOMAIN` |
  `static java.lang.String` | `PARAMS_SIGNING_DATE` |
  `static java.lang.String` | `PARAMS_START_EPOCH` |
  `static java.lang.String` | `PARAMS_START_FROM` |
  `static java.lang.String` | `PARAMS_START_TO` |
  `static java.lang.String` | `PARAMS_STATUS` |
  `static java.lang.String` | `PARAMS_STOP_EPOCH` |
  `static java.lang.String` | `PARAMS_TARIFF` |
  `static java.lang.String` | `PARAMS_TARIFF_BID` |
  `static java.lang.String` | `PARAMS_TARIFF_ID` |
  `static java.lang.String` | `PARAMS_USER` |
  `static int` | `RUNTEL_REQUEST_TIMEOUT` |
  `static java.lang.String` | `RUNTEL_URL_V1` |
  `static java.lang.String` | `RUNTEL_URL_V2` |
  `static java.lang.String` | `RUNTEL_VERSION` |

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Constants()` |

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RUNTEL_VERSION

    public static final java.lang.String RUNTEL_VERSION
    See Also:
      Constant Field Values

  - ### RUNTEL_URL_V1

    public static final java.lang.String RUNTEL_URL_V1
    See Also:
      Constant Field Values

  - ### RUNTEL_URL_V2

    public static final java.lang.String RUNTEL_URL_V2
    See Also:
      Constant Field Values

  - ### RUNTEL_REQUEST_TIMEOUT

    public static final int RUNTEL_REQUEST_TIMEOUT
    See Also:
      Constant Field Values

  - ### ACTION_RUN

    public static final java.lang.String ACTION_RUN
    See Also:
      Constant Field Values

  - ### ACTION_AUTH

    public static final java.lang.String ACTION_AUTH
    See Also:
      Constant Field Values

  - ### ACTION_LOGIN

    public static final java.lang.String ACTION_LOGIN
    See Also:
      Constant Field Values

  - ### ACTION_LIST

    public static final java.lang.String ACTION_LIST
    See Also:
      Constant Field Values

  - ### ACTION_SYNC

    public static final java.lang.String ACTION_SYNC
    See Also:
      Constant Field Values

  - ### ACTION_APPEND

    public static final java.lang.String ACTION_APPEND
    See Also:
      Constant Field Values

  - ### ACTION_UPDATE

    public static final java.lang.String ACTION_UPDATE
    See Also:
      Constant Field Values

  - ### ACTION_DELETE

    public static final java.lang.String ACTION_DELETE
    See Also:
      Constant Field Values

  - ### ACTION_BALANCE

    public static final java.lang.String ACTION_BALANCE
    See Also:
      Constant Field Values

  - ### OBJ_SYNC

    public static final java.lang.String OBJ_SYNC
    See Also:
      Constant Field Values

  - ### OBJ_BGBILLING

    public static final java.lang.String OBJ_BGBILLING
    See Also:
      Constant Field Values

  - ### OBJ_USER

    public static final java.lang.String OBJ_USER
    See Also:
      Constant Field Values

  - ### OBJ_CUSTOMER

    public static final java.lang.String OBJ_CUSTOMER
    See Also:
      Constant Field Values

  - ### OBJ_CONTRACT

    public static final java.lang.String OBJ_CONTRACT
    See Also:
      Constant Field Values

  - ### OBJ_ACCOUNTING

    public static final java.lang.String OBJ_ACCOUNTING
    See Also:
      Constant Field Values

  - ### OBJ_BILL_REQUEST

    public static final java.lang.String OBJ_BILL_REQUEST
    See Also:
      Constant Field Values

  - ### OBJ_CONTRACT_ANNEX

    public static final java.lang.String OBJ_CONTRACT_ANNEX
    See Also:
      Constant Field Values

  - ### OBJ_CONTRACT_ANNEX_ROW

    public static final java.lang.String OBJ_CONTRACT_ANNEX_ROW
    See Also:
      Constant Field Values

  - ### BODY_NAME

    public static final java.lang.String BODY_NAME
    See Also:
      Constant Field Values

  - ### BODY_LINK

    public static final java.lang.String BODY_LINK
    See Also:
      Constant Field Values

  - ### BODY_AMOUNT

    public static final java.lang.String BODY_AMOUNT
    See Also:
      Constant Field Values

  - ### BODY_DT_EPOCH

    public static final java.lang.String BODY_DT_EPOCH
    See Also:
      Constant Field Values

  - ### BODY_ISO_4217

    public static final java.lang.String BODY_ISO_4217
    See Also:
      Constant Field Values

  - ### PARAM_ID

    public static final java.lang.String PARAM_ID
    See Also:
      Constant Field Values

  - ### PARAM_OBJ

    public static final java.lang.String PARAM_OBJ
    See Also:
      Constant Field Values

  - ### PARAM_LIST

    public static final java.lang.String PARAM_LIST
    See Also:
      Constant Field Values

  - ### PARAM_BODY

    public static final java.lang.String PARAM_BODY
    See Also:
      Constant Field Values

  - ### PARAM_CODE

    public static final java.lang.String PARAM_CODE
    See Also:
      Constant Field Values

  - ### PARAM_LIMIT

    public static final java.lang.String PARAM_LIMIT
    See Also:
      Constant Field Values

  - ### PARAM_ACTION

    public static final java.lang.String PARAM_ACTION
    See Also:
      Constant Field Values

  - ### PARAM_OFFSET

    public static final java.lang.String PARAM_OFFSET
    See Also:
      Constant Field Values

  - ### PARAM_COUNT

    public static final java.lang.String PARAM_COUNT
    See Also:
      Constant Field Values

  - ### PARAM_PARAMS

    public static final java.lang.String PARAM_PARAMS
    See Also:
      Constant Field Values

  - ### PARAM_ACTION_ID

    public static final java.lang.String PARAM_ACTION_ID
    See Also:
      Constant Field Values

  - ### PARAM_TOTAL_COUNT

    public static final java.lang.String PARAM_TOTAL_COUNT
    See Also:
      Constant Field Values

  - ### PARAMS_ID

    public static final java.lang.String PARAMS_ID
    See Also:
      Constant Field Values

  - ### PARAMS_BID

    public static final java.lang.String PARAMS_BID
    See Also:
      Constant Field Values

  - ### PARAMS_CITY

    public static final java.lang.String PARAMS_CITY
    See Also:
      Constant Field Values

  - ### PARAMS_NAME

    public static final java.lang.String PARAMS_NAME
    See Also:
      Constant Field Values

  - ### PARAMS_USER

    public static final java.lang.String PARAMS_USER
    See Also:
      Constant Field Values

  - ### PARAMS_HASH

    public static final java.lang.String PARAMS_HASH
    See Also:
      Constant Field Values

  - ### PARAMS_ANNEX

    public static final java.lang.String PARAMS_ANNEX
    See Also:
      Constant Field Values

  - ### PARAMS_BRAND

    public static final java.lang.String PARAMS_BRAND
    See Also:
      Constant Field Values

  - ### PARAMS_COUNT

    public static final java.lang.String PARAMS_COUNT
    See Also:
      Constant Field Values

  - ### PARAMS_EMAIL

    public static final java.lang.String PARAMS_EMAIL
    See Also:
      Constant Field Values

  - ### PARAMS_LOGIN

    public static final java.lang.String PARAMS_LOGIN
    See Also:
      Constant Field Values

  - ### PARAMS_AMOUNT

    public static final java.lang.String PARAMS_AMOUNT
    See Also:
      Constant Field Values

  - ### PARAMS_STATUS

    public static final java.lang.String PARAMS_STATUS
    See Also:
      Constant Field Values

  - ### PARAMS_HOST_ID

    public static final java.lang.String PARAMS_HOST_ID
    See Also:
      Constant Field Values

  - ### PARAMS_START_TO

    public static final java.lang.String PARAMS_START_TO
    See Also:
      Constant Field Values

  - ### PARAMS_NUMBER

    public static final java.lang.String PARAMS_NUMBER
    See Also:
      Constant Field Values

  - ### PARAMS_PASSWORD

    public static final java.lang.String PARAMS_PASSWORD
    See Also:
      Constant Field Values

  - ### PARAMS_TARIFF

    public static final java.lang.String PARAMS_TARIFF
    See Also:
      Constant Field Values

  - ### PARAMS_TARIFF_ID

    public static final java.lang.String PARAMS_TARIFF_ID
    See Also:
      Constant Field Values

  - ### PARAMS_TARIFF_BID

    public static final java.lang.String PARAMS_TARIFF_BID
    See Also:
      Constant Field Values

  - ### PARAMS_PBX_DOMAIN

    public static final java.lang.String PARAMS_PBX_DOMAIN
    See Also:
      Constant Field Values

  - ### PARAMS_START_EPOCH

    public static final java.lang.String PARAMS_START_EPOCH
    See Also:
      Constant Field Values

  - ### PARAMS_STOP_EPOCH

    public static final java.lang.String PARAMS_STOP_EPOCH
    See Also:
      Constant Field Values

  - ### PARAMS_START_FROM

    public static final java.lang.String PARAMS_START_FROM
    See Also:
      Constant Field Values

  - ### PARAMS_DATE_START

    public static final java.lang.String PARAMS_DATE_START
    See Also:
      Constant Field Values

  - ### PARAMS_DATE_END

    public static final java.lang.String PARAMS_DATE_END
    See Also:
      Constant Field Values

  - ### PARAMS_SIGNING_DATE

    public static final java.lang.String PARAMS_SIGNING_DATE
    See Also:
      Constant Field Values

  - ### PARAMS_EXTENSION

    public static final java.lang.String PARAMS_EXTENSION
    See Also:
      Constant Field Values

  - ### PARAMS_CONTRACT_BID

    public static final java.lang.String PARAMS_CONTRACT_BID
    See Also:
      Constant Field Values

  - ### PARAMS_CUSTOMER_BID

    public static final java.lang.String PARAMS_CUSTOMER_BID
    See Also:
      Constant Field Values

  - ### PARAMS_CONTRACT_LIST

    public static final java.lang.String PARAMS_CONTRACT_LIST
    See Also:
      Constant Field Values

  - ### PARAMS_CUSTOMER_NAME

    public static final java.lang.String PARAMS_CUSTOMER_NAME
    See Also:
      Constant Field Values

  - ### PARAMS_CONTRACT_ANNEX_BID

    public static final java.lang.String PARAMS_CONTRACT_ANNEX_BID
    See Also:
      Constant Field Values

  - ### KEY_LIST

    public static final java.lang.String KEY_LIST
    See Also:
      Constant Field Values

  - ### KEY_AMOUNT

    public static final java.lang.String KEY_AMOUNT
    See Also:
      Constant Field Values

  - ### KEY_DT_EPOCH

    public static final java.lang.String KEY_DT_EPOCH
    See Also:
      Constant Field Values

  - ### KEY_RUNTEL_VERSION

    public static final java.lang.String KEY_RUNTEL_VERSION
    See Also:
      Constant Field Values

  - ### KEY_RUNTEL_URL

    public static final java.lang.String KEY_RUNTEL_URL
    See Also:
      Constant Field Values

  - ### KEY_RUNTEL_USER

    public static final java.lang.String KEY_RUNTEL_USER
    See Also:
      Constant Field Values

  - ### KEY_RUNTEL_LOGIN

    public static final java.lang.String KEY_RUNTEL_LOGIN
    See Also:
      Constant Field Values

  - ### KEY_RUNTEL_PASSWORD

    public static final java.lang.String KEY_RUNTEL_PASSWORD
    See Also:
      Constant Field Values

  - ### KEY_RUNTEL_ACTIVE_STATUS_IDS

    public static final java.lang.String KEY_RUNTEL_ACTIVE_STATUS_IDS
    See Also:
      Constant Field Values

  - ### KEY_RUNTEL_REQUEST_TIMEOUT

    public static final java.lang.String KEY_RUNTEL_REQUEST_TIMEOUT
    See Also:
      Constant Field Values

  - ### KEY_RUNTEL_EMAIL_PARAMETER_ID

    public static final java.lang.String KEY_RUNTEL_EMAIL_PARAMETER_ID
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()